<?php
/**
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x
# ------------------------------------------------------------------------
 * @package Jumpmenu Module for Joomla! 
 * @version $Id: 1.5 
 * @author JoomlaTema
 * @Copyright (C) 2012- JoomlaTema
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 # ------------------------------------------------------------------------
**/
defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');

class JFormFieldLine extends JFormField {
	protected $type = 'Line';

	protected function getInput() {
		$text  	= (string) $this->element['text'];
		
		return '<div class="jtFormLine'.(($text != '') ? ' hasText hasTip' : '').'" title="'. JText::_($this->element['desc']) .'"><span>' . JText::_($text) . '</span></div>';
	}
}

/* eof */